Organization Configuration
Post Admin
Save the admin document. The managed values cannot be written here.
POST
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
admin
Post Admin
curl --request POST \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/admin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revision": "<string>",
"settings": {
"name": "<string>",
"text_overrides": {},
"description": "<string>",
"contact": "<string>",
"default_currency": "EUR",
"country": "AT",
"trading_enabled": false,
"optimization_basis": "market",
"audit_log_enabled": false
}
}
'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/admin"
payload = {
"revision": "<string>",
"settings": {
"name": "<string>",
"text_overrides": {},
"description": "<string>",
"contact": "<string>",
"default_currency": "EUR",
"country": "AT",
"trading_enabled": False,
"optimization_basis": "market",
"audit_log_enabled": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
revision: '<string>',
settings: {
name: '<string>',
text_overrides: {},
description: '<string>',
contact: '<string>',
default_currency: 'EUR',
country: 'AT',
trading_enabled: false,
optimization_basis: 'market',
audit_log_enabled: false
}
})
};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/admin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"revision": "<string>",
"settings": {
"name": "<string>",
"description": "<string>",
"contact": "<string>",
"default_currency": "<string>",
"country": "<string>",
"trading_enabled": true,
"optimization_basis": "<string>",
"audit_log_enabled": true,
"text_overrides": {}
},
"readonly": {
"organization_id": "<string>",
"enabled_views": [
"<string>"
],
"invite_enabled": true,
"included_device_brands": [
{
"id": "<string>",
"label": "<string>"
}
],
"unavailable_device_brands": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"options": {
"countries": [
{
"id": "<string>",
"label": "<string>"
}
],
"currencies": [
{
"id": "<string>",
"label": "<string>"
}
],
"optimization_bases": [
{
"id": "<string>",
"label": "<string>"
}
],
"price_zones": [
{
"id": "<string>",
"label": "<string>"
}
]
}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /oauth2/token/
FlowPassword
- Token URL
- /api/partners/v2.0/auth/token
Path Parameters
Body
application/json
Was this page helpful?
⌘I
Post Admin
